## org.apache.poi.hssf.usermodel
Class HSSFHyperlink

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFHyperlink

All Implemented Interfaces:
  Hyperlink

    public class HSSFHyperlink

extends java.lang.Object
implements Hyperlink

Represents an Excel hyperlink.

Author:
  Yegor Kozlov (yegor at apache dot org)

Field Summary
`static int` `LINK_DOCUMENT` Link to a place in this document
`static int` `LINK_EMAIL` Link to an E-mail address
`static int` `LINK_FILE` Link to a file
`protected int` `link_type` If we create a new hypelrink remember its type
`static int` `LINK_URL` Link to a existing file or web page
`protected HyperlinkRecord` `record` Low-level record object that stores the actual hyperlink data

Constructor Summary
`protected` `HSSFHyperlink(HyperlinkRecord record)` Initialize the hyperlink by a `HyperlinkRecord` record
`` `HSSFHyperlink(int type)` Construct a new hyperlink

Method Summary
`java.lang.String` `getAddress()` Hypelink address.
`int` `getFirstColumn()` Return the column of the first cell that contains the hyperlink
`int` `getFirstRow()` Return the row of the first cell that contains the hyperlink
`java.lang.String` `getLabel()` Return text label for this hyperlink
`int` `getLastColumn()` Return the column of the last cell that contains the hyperlink
`int` `getLastRow()` Return the row of the last cell that contains the hyperlink
`java.lang.String` `getShortFilename()`
`java.lang.String` `getTextMark()`
`int` `getType()` Return the type of this hyperlink
`void` `setAddress(java.lang.String address)` Hypelink address.
`void` `setFirstColumn(int col)` Set the column of the first cell that contains the hyperlink
`void` `setFirstRow(int row)` Set the row of the first cell that contains the hyperlink
`void` `setLabel(java.lang.String label)` Sets text label for this hyperlink
`void` `setLastColumn(int col)` Set the column of the last cell that contains the hyperlink
`void` `setLastRow(int row)` Set the row of the last cell that contains the hyperlink
`void` `setShortFilename(java.lang.String shortFilename)` Convenience method equivalent to `setAddress(String)`
`void` `setTextMark(java.lang.String textMark)` Convenience method equivalent to `setAddress(String)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK_URL

    public static final int LINK_URL

  Link to a existing file or web page

  See Also:
    Constant Field Values

### LINK_DOCUMENT

    public static final int LINK_DOCUMENT

  Link to a place in this document

  See Also:
    Constant Field Values

### LINK_EMAIL

    public static final int LINK_EMAIL

  Link to an E-mail address

  See Also:
    Constant Field Values

### LINK_FILE

    public static final int LINK_FILE

  Link to a file

  See Also:
    Constant Field Values

### record

    protected HyperlinkRecord record

  Low-level record object that stores the actual hyperlink data

### link_type

    protected int link_type

  If we create a new hypelrink remember its type

Constructor Detail

### HSSFHyperlink

    public HSSFHyperlink(int type)

  Construct a new hyperlink

  Parameters:
    `type` - the type of hyperlink to create

### HSSFHyperlink

    protected HSSFHyperlink(HyperlinkRecord record)

  Initialize the hyperlink by a `HyperlinkRecord` record

  Parameters:
    `record` -

Method Detail

### getFirstRow

    public int getFirstRow()

  Return the row of the first cell that contains the hyperlink

  Returns:
    the 0-based row of the cell that contains the hyperlink

### setFirstRow

    public void setFirstRow(int row)

  Set the row of the first cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the first cell that contains the hyperlink

### getLastRow

    public int getLastRow()

  Return the row of the last cell that contains the hyperlink

  Returns:
    the 0-based row of the last cell that contains the hyperlink

### setLastRow

    public void setLastRow(int row)

  Set the row of the last cell that contains the hyperlink

  Parameters:
    `row` - the 0-based row of the last cell that contains the hyperlink

### getFirstColumn

    public int getFirstColumn()

  Return the column of the first cell that contains the hyperlink

  Returns:
    the 0-based column of the first cell that contains the hyperlink

### setFirstColumn

    public void setFirstColumn(int col)

  Set the column of the first cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the first cell that contains the hyperlink

### getLastColumn

    public int getLastColumn()

  Return the column of the last cell that contains the hyperlink

  Returns:
    the 0-based column of the last cell that contains the hyperlink

### setLastColumn

    public void setLastColumn(int col)

  Set the column of the last cell that contains the hyperlink

  Parameters:
    `col` - the 0-based column of the last cell that contains the hyperlink

### getAddress

    public java.lang.String getAddress()

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.

  Specified by:
    `getAddress` in interface `Hyperlink`
  Returns:
    the address of this hyperlink

### getTextMark

    public java.lang.String getTextMark()

### setTextMark

    public void setTextMark(java.lang.String textMark)

  Convenience method equivalent to `setAddress(String)`

  Parameters:
    `textMark` - the place in worksheet this hypelrink referes to, e.g. 'Target Sheet'!A1'

### getShortFilename

    public java.lang.String getShortFilename()

### setShortFilename

    public void setShortFilename(java.lang.String shortFilename)

  Convenience method equivalent to `setAddress(String)`

  Parameters:
    `shortFilename` - the path to a file this hypelrink points to, e.g. 'readme.txt'

### setAddress

    public void setAddress(java.lang.String address)

  Hypelink address. Depending on the hyperlink type it can be URL, e-mail, patrh to a file, etc.

  Specified by:
    `setAddress` in interface `Hyperlink`
  Parameters:
    `address` - the address of this hyperlink

### getLabel

    public java.lang.String getLabel()

  Return text label for this hyperlink

  Specified by:
    `getLabel` in interface `Hyperlink`
  Returns:
    text to display

### setLabel

    public void setLabel(java.lang.String label)

  Sets text label for this hyperlink

  Specified by:
    `setLabel` in interface `Hyperlink`
  Parameters:
    `label` - text label for this hyperlink

### getType

    public int getType()

  Return the type of this hyperlink

  Specified by:
    `getType` in interface `Hyperlink`
  Returns:
    the type of this hyperlink

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.